#!/bin/sh

NETIF=eth0
EEPROM="/bin/pa.bin"

if [ -e /mnt/flash/eeprom ]
then
   EEPROM=/mnt/flash/`cat /mnt/flash/eeprom`
fi

echo "~~~~~~~~~~EEPROM file =" $EEPROM

echo 1>/dev/ttyHSUSB0
killall syswatch
killall atproxy
killall atserver
killall wificonnect
killall hostapd
killall hostapd_wps
rmmod ar6000
sleep 1
/sbin/insmod msm_sdcc
/sbin/insmod /bin/ar6000.ko bmienable=1 fwmode=1 artmode=1

/bin/bmiloader -i $NETIF --quiet --set --address=0x180c0 --or=8
/bin/bmiloader -i $NETIF --quiet --set --address=0x40c4 --or=1

/bin/bmiloader -i $NETIF --set --address=0x4020 --param=0
/bin/bmiloader -i $NETIF --set --address=0x40e0 --param=0x100000

/bin/eeprom.AR6002 --transfer --file=$EEPROM --setmac="00:18:82:58:32:00" --interface=$NETIF

/bin/bmiloader -i $NETIF --write --address=0x502400 --file=/bin/device.bin
/bin/bmiloader -i $NETIF --write --address=0x52d8b0 --file=/bin/data.patch.pa.bin
/bin/bmiloader -i $NETIF --write --address=0x500418 --param=0x52d8b0

/bin/bmiloader -i $NETIF --set --address=0x500410 --or=1


sleep 2
paartagent $NETIF /dev/ttyHSUSB0 80 $1


