/******************************************************************************

                         D S S O C K E T . H

******************************************************************************/

/******************************************************************************

  @file    dssocket.h
  @brief   DSS API library header file

  DESCRIPTION
  Main external header file for DSS API Library.

  ---------------------------------------------------------------------------
  Copyright (c) 2007 QUALCOMM Incorporated.
  All Rights Reserved. QUALCOMM Proprietary and Confidential.
  ---------------------------------------------------------------------------

******************************************************************************/

/******************************************************************************

                      EDIT HISTORY FOR FILE

  $Id: //release/linux-enablement/02.00.08.010.041/pkgs/proprietary/data/main/source/dss/inc/dssocket.h#1 $

when       who        what, where, why
--------   ---        -------------------------------------------------------
11/26/07   vk         Added function headers and other comments
09/28/07   vk         Initial version

******************************************************************************/

#ifndef __DSSOCKET_H__
#define __DSSOCKET_H__

/*===========================================================================
                              INCLUDE FILES
===========================================================================*/

#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include "comdef.h"
#include "ds_linux.h"
#include "dssocket_defs_linux.h"
#include "dssocket_common.h"

#endif /* __DSSOCKET_H__ */
