#ifndef __address_h
#define __address_h                     1

#define QC_VIC_IRQ_STATUS VIC_VIRT_ADDR(VICIRQ_STATUS_0)

/*
 * Include the Raptor specific files here.
 */
#include "raptor2.h"

#undef QC_VIC_IRQ_STATUS
#define QC_VIC_IRQ_STATUS VIC_VIRT_ADDR(VICIRQ_STATUS_0)

/*
 * Convert from physical to virtual and read/write.
 */
#define READL(a) readl(PA_TO_VA(a))
#define READB(a) readb(PA_TO_VA(a))
#define WRITEL(d, a) writel(d, PA_TO_VA(a))
#define WRITEB(d, a) writeb(d, PA_TO_VA(a))

#endif

/* 	END */

