/***********************************************************************
  ȨϢ: Ȩ(C) 1988-2009, Ϊ޹˾.
  ļ: qmi_tty.c
  : caohepu 37496
  汾: 001
  : 2009-6-27
  : 2008-6-27
  : qmi_ttyģںûռ佻QMI;

  Ҫб: 

  ޸ʷ¼б:
    <  >    <޸ʱ>  <汾>  <޸>

  ע:
 ************************************************************************/

#include <linux/module.h>
#include <linux/init.h>
#include <linux/tty.h>
#include <linux/signal.h>
#include <linux/errno.h>
#include <linux/timer.h>
#include <linux/sched.h>
#include <linux/slab.h>
#include <linux/tty_flip.h>
#include <linux/usb.h>
#include <linux/smp_lock.h>
#include <asm/uaccess.h>

#include "qmitty.h"
#include "qmihdr.h"
#include "qmux.h"

/*usbnetprobeڳɹusbײͨ*/
void		trigger_tty(void);

/*˳Ŀǰǵ˳ʱusbnetdisconnectе*/
void		exit_tty(void);

unsigned char send_message_area[MSG_COLUMN];

/* ⾺̬ */
static spinlock_t lock_for_list= SPIN_LOCK_UNLOCKED;

/* QMITTYģں˽ӿں */
static int  qmi_tty_open(struct tty_struct * tty, struct file * filp);
static void	qmi_tty_close(struct tty_struct * tty, struct file * filp);
static int	qmi_tty_write(struct tty_struct * tty, const unsigned char * buf, int count);
static int	qmi_tty_write_room(struct tty_struct * tty);
static int	qmi_tty_ioctl(struct tty_struct * tty, struct file * filp,
                          unsigned int cmd, unsigned long arg);
static void	qmi_tty_throttle(struct tty_struct * tty);
static void	qmi_tty_unthrottle(struct tty_struct * tty);
static void send_msg_to_user_space(u8 configNr, u8* buf);
static int qmi_tty_refcount;
static struct tty_struct* qmi_tty_table[QMI_TTY_MINOR];
static struct termios*    qmi_tty_termios[QMI_TTY_MINOR];
static struct termios*    qmi_tty_termios_locked[QMI_TTY_MINOR];
static u8 configNrCur = 0;
static struct tty_struct *   external_ptr_tty = NULL; /*ڼ¼û̴ttyʱʹõtty_structָ*/

/*lint -save -e* */
static struct tty_driver qmi_tty_driver =
{
    .magic			    = TTY_DRIVER_MAGIC,
    .driver_name	  = "tty_qmi",
    .name			      = "tty_qmi",
    .major			    = QMI_TTY_MAJOR,
    .minor_start	  = 0,
    .num			      = QMI_TTY_MINOR,
    .type			      = TTY_DRIVER_TYPE_SERIAL,
    .subtype		    = SERIAL_TYPE_NORMAL,
    .flags			    = TTY_DRIVER_REAL_RAW,// | TTY_DRIVER_NO_DEVFS,
    .refcount		    = &qmi_tty_refcount,
    //.table			  = qmi_tty_table,
    .ttys			      = qmi_tty_table,
    .termios		    = qmi_tty_termios,
    .termios_locked = qmi_tty_termios_locked,
    .open			      = qmi_tty_open,
    .close			    = qmi_tty_close,
    .write			    = qmi_tty_write,
    .write_room		  = qmi_tty_write_room,
    .ioctl			    = qmi_tty_ioctl,
    .throttle		    = qmi_tty_throttle,
    .unthrottle		  = qmi_tty_unthrottle,
};

static struct qmi_function qmi_tty_func=
{
    .send = send_msg_to_user_space,
};

/*lint -restore*/
/*------------------------------------------------------------
  ԭ: int qmi_tty_open(struct tty_struct * tty, struct file * filp)
  : qmi_tty_openttyĽӿںûʹopen
        Ӧ豸ļʱttyĽqmi_tty_openɴ
        ĲΪֶ֧ụ̂ڴ򿪹Ҫûʹõĸ
        豸Žб𣬶ڲWDS̵ụ̂QMITTYģڲ
        1ȡWDS Client IDQMIϢģ顣ڵõӦResponse
        Ժ󣬼¼豸ƥ֮С
        WDSӦýڴQMITTYģڲ״̬־ֵûλ
        ״̬
  : tty_struct * tty ָںTTYṹָ
        file * filpָںļṹָ
  : 
  ֵ: int ret ͨ0ʾ򿪲Ѿɡ
-------------------------------------------------------------*/
static int qmi_tty_open(struct tty_struct * tty, struct file * filp)
{
    unsigned short num;
    num = MINOR(tty->driver->cdev.dev);

    /* ޸ĺopenУ0#ļ豸ֻWDSʹõģ
    ûҪ֤ʹ0#豸ļ*/

    tty->raw         = 1;
    tty->real_raw    = 1;
    tty->low_latency = 1;
    external_ptr_tty = tty;

    printk(KERN_ALERT "QMITTY is opened by %d th devfs node\n", num);
    
    return 0;
}

/*------------------------------------------------------------
  ԭ: void qmi_tty_close(struct tty_struct * tty, struct file * filp)
  : qmi_tty_closettyĽӿںûʹcloseر
        Ӧ豸ļʱttyĽqmi_tty_closeɹر
        ĲΪֶ֧ụ̂ڹرչҪûʹõĸ
        豸Žб𣬶ڲWDS̵ụ̂QMITTYģڲ
        1ͷWDS Client IDQMIϢģ顣ڵõӦResponse
        Ժ豸ƥ֮Ӧļ¼ĬWDS̲˳
        WDS˳QMITTYģ˳
  : tty_struct * tty ָںTTYṹָ
        file * filpָںļṹָ
  : 
  ֵ: 
-------------------------------------------------------------*/
static void qmi_tty_close(struct tty_struct * tty, struct file * filp)
{

    printk(KERN_ALERT "QMITTY is closed by th devfs node\n");

    external_ptr_tty = NULL;

    return;
}

/*------------------------------------------------------------
  ԭ: int qmi_tty_write(struct tty_struct * tty, int from_user, const unsigned char * buf, int count)
  : qmi_tty_writeqmittyttyҪĲ
        ֮һûopen豸ļʱtty
        עttyķе qmi_tty_write 
        ɰûռݴںˡqmi_tty_writeлû
        ϢװΪһQMIϢȻUSBײ㷢͡
  : struct tty_struct * tty  ϵͳָtty_structָ
        int  from_user  ָʾûռ仹ں˿ռ䡣
        const unsigned char * buf ָûռݻ
        int  count  Ҫֽ
  : 
  ֵ: USBײɹֽȥQMIϢͷĳȡ
-------------------------------------------------------------*/
static int qmi_tty_write(struct tty_struct * tty, const unsigned char  * buf, int count)
{
    int ret = 0;
    
    printk(KERN_ALERT "qmi_tty_write: in qmi_tty_write\n");
    
    if (count == 0)
    {
      return 0;
    }

    if (NULL == buf)
    {
      printk(KERN_ALERT "qmi_tty_write: buffer is null!\n");
      return -EFAULT;
    }

    printk(KERN_INFO "qmi_tty_write: data len:%d, buf[0]: 0x%x;buf[1]: 0x%x. \n",
                      count, buf[0],buf[1]);

    /*õû̷͵Ϣ*/
    memcpy(send_message_area, buf, count);
    
    printk(KERN_ALERT "qmi_tty_write: memcpy  char[1]=%c, char[2]\n",
                       send_message_area[0], send_message_area[1]);


    ret = qmi_wds_response_p(configNrCur, (unsigned char*)send_message_area);
    if (ret < 0)
    {
        printk(KERN_ALERT "qmi_tty_write: qmi_wds_response_p ret < 0\n");
        return ret;
    }

    printk(KERN_ALERT "qmi_tty_write: qmi_wds_response_p ret == 0\n");
    return count;
}

/*------------------------------------------------------------
  ԭ: int qmi_tty_write_room(struct tty_struct * tty)
  : qmi_tty_write_roomttyĵõģttyִwrite
       ʱttyĻqmi_tty_write_roomѯ
       ĴС
  : ϵͳָtty_structָ
  : ޡ
  ֵ: ڱзһ̶ĴС
-------------------------------------------------------------*/
static int qmi_tty_write_room(struct tty_struct * tty)
{
    return QMI_TTY_ROOM_SIZE;
}

/*------------------------------------------------------------
  ԭ: void qmi_tty_throttle(struct tty_struct * tty)
  : qmi_tty_throttleڵʱ֪ͨ豸Ҫ
  : ϵͳָtty_structָ롣
  : ޡ
  ֵ: ޡ
-------------------------------------------------------------*/
static void qmi_tty_throttle(struct tty_struct * tty)
{
    return;
}

/*------------------------------------------------------------
  ԭ: void qmi_tty_unthrottle(struct tty_struct * tty)
  : qmi_tty_unthrottleڵ֪ͨ豸
  : ϵͳָtty_structָ롣
  : ޡ
  ֵ: 
-------------------------------------------------------------*/
static void qmi_tty_unthrottle(struct tty_struct * tty)
{
    return;
}

/*------------------------------------------------------------
  ԭ: int qmi_tty_ioctl(struct tty_struct * tty, struct file * filp, unsigned int cmd, unsigned long arg)
  : qmi_tty_ioctlҪû̵ĿƷӿڣû
        Ӧtty豸ļʱʹioctltty
        ִһЩضĲִʲôɹ֡
  : struct tty_struct * tty  ϵͳָtty_structָ
        struct file * filp   ϵͳάڲļָ
        unsigned int cmd  Ĺ
        unsigned long arg  һһָ
  : ɹ
  ֵ: ִضĽֵ
-------------------------------------------------------------*/
static int qmi_tty_ioctl(struct tty_struct * tty, struct file * filp, unsigned int cmd, unsigned long arg)
{
  return 0;
}

/*------------------------------------------------------------
  ԭ: void    send_msg_to_user_space(PQMI_NODE pnode, struct tty_struct * tty, int count)
  : send_msg_to_user_spaceں˶qmiϢû̿ռ䡣
  : PQMI_NODE pnode WDSϢϢ.
        struct tty_struct * tty ¼µĶӦû̴򿪵ָ
        tty_structָ
        int count Ҫˢµû̿ռֽ
  : ûռWDSϢ
  ֵ: ޡ
-------------------------------------------------------------*/
static void send_msg_to_user_space(u8 configNr, u8* buf)
{
    int i, count=0;
	
    configNrCur = configNr;
    count = ((PQCQMI_HDR)buf)->Length + 1;

    printk(KERN_INFO "send_msg_to_user_space: ");
    for (i = 0; i < count; ++i)
    {
        printk(KERN_INFO "0x%02x ", buf[i]);
    }
    printk(KERN_INFO "\n");


    if(external_ptr_tty == NULL || buf == NULL)
    {
      printk(KERN_INFO "external_ptr_tty empty pointer\n");
      return;
    }  

		tty_insert_flip_string(external_ptr_tty, buf, count);
		tty_flip_buffer_push(external_ptr_tty);

		return;
}

/*------------------------------------------------------------
  ԭ: static int tty_module_init(void)
  : tty_module_initQMITTYģģģʼģװ
        ڵ㡣
  : 
  : 
  ֵ: 
-------------------------------------------------------------*/
static int tty_module_init(void)
{
    qmi_tty_driver.init_termios = tty_std_termios;
    qmi_tty_driver.init_termios.c_cflag = CS8 | CREAD | CLOCAL;
    qmi_tty_driver.init_termios.c_lflag = ISIG;
    qmi_tty_driver.init_termios.c_oflag = 0;

    if (tty_register_driver(&qmi_tty_driver))
    {
        printk(KERN_ALERT "failed to register qmi_tty_driver");
        put_tty_driver(&qmi_tty_driver);
        return (-1);
    }

    if(qmi_tty_register(&qmi_tty_func))
    {
        printk(KERN_ALERT "failed to register qmi_function");
        return (-1);
    }
    
    printk(KERN_ALERT "Registered the qmi_tty_driver !! ");
    return 0;
}

/*------------------------------------------------------------
  ԭ: static void tty_module_exit(void)
  : tty_module_exitQMITTYģģģ˳
  : 
  : 
  ֵ: 
-------------------------------------------------------------*/
static void tty_module_exit(void)
{
    printk(KERN_ALERT "QMI_TTY module is exiting ");

    /*  exit_tty(); */
    printk(KERN_ALERT "QMI_TTY module exit completely\n");
    tty_unregister_driver(&qmi_tty_driver);
}

MODULE_LICENSE("GPL");
module_init(tty_module_init);
module_exit(tty_module_exit);
