/***********************************************************************
  ȨϢ: Ȩ(C) 1988-2010, Ϊ޹˾.
  ļ: qmi.c
  : 
  汾: 001
  : 2009-7-01
  : 2009-7-01
  : qmux.h  QMI΢RNDIS ֲ̣RNDISܹ
                    ͨQMIײݽṹʵCTL DMSطĽ
                    WDSصĿͨ͸QMI_TTYûռн

                    ļRNDIS QMIҪͷļϢ

  Ҫб:

  ޸ʷ¼б:
    <  >    <޸ʱ>  <汾>  <޸>

  ע:
 ************************************************************************/


#ifndef QMUX_H
#define QMUX_H

#include "ndis.h"
#include <linux/types.h>	/* __u8 etc */

#define RNDIS_MAXIMUM_FRAME_SIZE	1518
#define RNDIS_MAX_TOTAL_SIZE		1558

/* Remote NDIS Versions */
#define RNDIS_MAJOR_VERSION		1
#define RNDIS_MINOR_VERSION		0

/* Status Values */
#define RNDIS_STATUS_SUCCESS		0x00000000U	/* Success           */
#define RNDIS_STATUS_FAILURE		0xC0000001U	/* Unspecified error */
#define RNDIS_STATUS_INVALID_DATA	0xC0010015U	/* Invalid data      */
#define RNDIS_STATUS_NOT_SUPPORTED	0xC00000BBU	/* Unsupported request */
#define RNDIS_STATUS_MEDIA_CONNECT	0x4001000BU	/* Device connected  */
#define RNDIS_STATUS_MEDIA_DISCONNECT	0x4001000CU	/* Device disconnected */
/* For all not specified status messages:
 * RNDIS_STATUS_Xxx -> NDIS_STATUS_Xxx
 */

/* Message Set for Connectionless (802.3) Devices */
#define REMOTE_NDIS_PACKET_MSG		0x00000001U
#define REMOTE_NDIS_INITIALIZE_MSG	0x00000002U	/* Initialize device */
#define REMOTE_NDIS_HALT_MSG		0x00000003U
#define REMOTE_NDIS_QUERY_MSG		0x00000004U
#define REMOTE_NDIS_SET_MSG		0x00000005U
#define REMOTE_NDIS_RESET_MSG		0x00000006U
#define REMOTE_NDIS_INDICATE_STATUS_MSG	0x00000007U
#define REMOTE_NDIS_KEEPALIVE_MSG	0x00000008U

/* Message completion */
#define REMOTE_NDIS_INITIALIZE_CMPLT	0x80000002U
#define REMOTE_NDIS_QUERY_CMPLT		0x80000004U
#define REMOTE_NDIS_SET_CMPLT		0x80000005U
#define REMOTE_NDIS_RESET_CMPLT		0x80000006U
#define REMOTE_NDIS_KEEPALIVE_CMPLT	0x80000008U

/* Device Flags */
#define RNDIS_DF_CONNECTIONLESS		0x00000001U
#define RNDIS_DF_CONNECTION_ORIENTED	0x00000002U

#define RNDIS_MEDIUM_802_3		0x00000000U

/* from drivers/net/sk98lin/h/skgepnmi.h */
#define OID_PNP_CAPABILITIES			0xFD010100
#define OID_PNP_SET_POWER			0xFD010101
#define OID_PNP_QUERY_POWER			0xFD010102
#define OID_PNP_ADD_WAKE_UP_PATTERN		0xFD010103
#define OID_PNP_REMOVE_WAKE_UP_PATTERN		0xFD010104
#define OID_PNP_ENABLE_WAKE_UP			0xFD010106


typedef struct rndis_init_msg_type
{
	__le32	MessageType;
	__le32	MessageLength;
	__le32	RequestID;
	__le32	MajorVersion;
	__le32	MinorVersion;
	__le32	MaxTransferSize;
} rndis_init_msg_type;

typedef struct rndis_init_cmplt_type
{
	__le32	MessageType;
	__le32	MessageLength;
	__le32	RequestID;
	__le32	Status;
	__le32	MajorVersion;
	__le32	MinorVersion;
	__le32	DeviceFlags;
	__le32	Medium;
	__le32	MaxPacketsPerTransfer;
	__le32	MaxTransferSize;
	__le32	PacketAlignmentFactor;
	__le32	AFListOffset;
	__le32	AFListSize;
} rndis_init_cmplt_type;

typedef struct rndis_halt_msg_type
{
	__le32	MessageType;
	__le32	MessageLength;
	__le32	RequestID;
} rndis_halt_msg_type;

typedef struct rndis_query_msg_type
{
	__le32	MessageType;
	__le32	MessageLength;
	__le32	RequestID;
	__le32	OID;
	__le32	InformationBufferLength;
	__le32	InformationBufferOffset;
	__le32	DeviceVcHandle;
} rndis_query_msg_type;

typedef struct rndis_query_cmplt_type
{
	__le32	MessageType;
	__le32	MessageLength;
	__le32	RequestID;
	__le32	Status;
	__le32	InformationBufferLength;
	__le32	InformationBufferOffset;
} rndis_query_cmplt_type;

typedef struct rndis_set_msg_type
{
	__le32	MessageType;
	__le32	MessageLength;
	__le32	RequestID;
	__le32	OID;
	__le32	InformationBufferLength;
	__le32	InformationBufferOffset;
	__le32	DeviceVcHandle;
} rndis_set_msg_type;

typedef struct rndis_set_cmplt_type
{
	__le32	MessageType;
	__le32	MessageLength;
	__le32	RequestID;
	__le32	Status;
} rndis_set_cmplt_type;

typedef struct rndis_reset_msg_type
{
	__le32	MessageType;
	__le32	MessageLength;
	__le32	Reserved;
} rndis_reset_msg_type;

typedef struct rndis_reset_cmplt_type
{
	__le32	MessageType;
	__le32	MessageLength;
	__le32	Status;
	__le32	AddressingReset;
} rndis_reset_cmplt_type;

typedef struct rndis_indicate_status_msg_type
{
	__le32	MessageType;
	__le32	MessageLength;
	__le32	Status;
	__le32	StatusBufferLength;
	__le32	StatusBufferOffset;
} rndis_indicate_status_msg_type;

typedef struct rndis_keepalive_msg_type
{
	__le32	MessageType;
	__le32	MessageLength;
	__le32	RequestID;
} rndis_keepalive_msg_type;

typedef struct rndis_keepalive_cmplt_type
{
	__le32	MessageType;
	__le32	MessageLength;
	__le32	RequestID;
	__le32	Status;
} rndis_keepalive_cmplt_type;

struct rndis_packet_msg_type
{
	__le32	MessageType;
	__le32	MessageLength;
	__le32	DataOffset;
	__le32	DataLength;
	__le32	OOBDataOffset;
	__le32	OOBDataLength;
	__le32	NumOOBDataElements;
	__le32	PerPacketInfoOffset;
	__le32	PerPacketInfoLength;
	__le32	VcHandle;
	__le32	Reserved;
} __attribute__ ((packed));

struct rndis_config_parameter
{
	__le32	ParameterNameOffset;
	__le32	ParameterNameLength;
	__le32	ParameterType;
	__le32	ParameterValueOffset;
	__le32	ParameterValueLength;
};

/* implementation specific */
enum rndis_state
{
	RNDIS_UNINITIALIZED,
	RNDIS_INITIALIZED,
	RNDIS_DATA_INITIALIZED,
};

typedef struct rndis_resp_t
{
	struct list_head	list;
	u8			*buf;
	u32			length;
	int			send;
} rndis_resp_t;

typedef struct rndis_params
{
	u8			confignr;
	u8			used;
	u16			saved_filter;
	enum rndis_state	state;
	u32			medium;
	u32			speed;
	u32			media_state;

	const u8		*host_mac;
	u16			*filter;
	struct net_device	*dev;
	struct net_device_stats *stats;

	u32			vendorID;
	const char		*vendorDescr;
	int			(*ack) (struct net_device *);
	struct list_head	resp_queue;
} rndis_params;

struct qmi_function{
	void (*send)(u8 , u8 *);
};

int qmi_tty_register(struct qmi_function* qmi_tty);
int qmi_msg_parser_p (u8 configNr, u8 *buf);
int qmi_register (int (* qmi_control_ack) (struct net_device *));
void qmi_deregister (int configNr);
void qmux_init(void);
int  qmi_usb_init (void);
void qmi_usb_uninit (int configNr);
void qmi_exit (void);
u8   *qmi_get_next_response (int configNr, u32 *length);
void qmi_free_response (int configNr, u8 *buf);
void qmi_resume(int configNr);
int qmi_rm_hdr (struct sk_buff *skb);
void qmi_add_hdr (struct sk_buff *skb);
int  qmi_set_param_medium (u8 configNr, u32 medium, u32 speed);
int  qmi_signal_connect (int configNr);
int  qmi_signal_disconnect (int configNr);
int  qmi_set_param_dev (u8 configNr, struct net_device *dev,
			 struct net_device_stats *stats,
			 u16 *cdc_filter);
int  qmi_set_param_vendor (u8 configNr, u32 vendorID,
			    const char *vendorDescr);
extern void qmi_set_host_mac (int configNr, const u8 *addr);

extern int qmi_wds_response_p(u8 configNr,u8 *pdu_in);

#define QMI_ACK_DWORD1  0x000001a1
#define QMI_ACK_DWORD2  0x00000001


/*-----------------------------------------------------------------
              QMI data structure file
------------------------------------------------------------------*/   
#define QMUXI_IFTYPE_QMUX                 (0x01)
/*---------------------------------------------------------------------------
  Service type enumeration.  DO NOT change Qualcomm predefined values. 
---------------------------------------------------------------------------*/
typedef enum
{
  QMUX_SERVICE_MIN      = 0,
  QMUX_SERVICE_CTL      = 0,             /* QMI service control           */
  QMUX_SERVICE_WDS      = 1,             /* Wireless Data service         */
  QMUX_SERVICE_DMS      = 2,             /* Device Management service     */
  QMUX_SERVICE_NAS      = 3,             /* Network Access service        */
  QMUX_SERVICE_QOS      = 4,             /* QOS service                   */
  QMUX_SERVICE_QC_MAX, // this should not be changed by vendor     
  /*-----------------------------------------------------------------------
    Any new vendor sevices must be within QMUX_QC_SERVICE_MAX and 
    QMUX_SERVICE_MAX.  The first vendor service must also be assigned
    a value of 224 (e.g QMUX_VS_SERVICE_1 = 224, etc).  
    Maximum number of services is 30.
    ATTENTION: QMUX_SERVICE_VENDOR_MAX must have value of
    QMUX_SERVICE_VENDOR_MIN + number of vendor services
    for example if there are no vendor servises then 
    QMUX_SERVICE_VENDOR_MAX has value of QMUX_SERVICE_VENDOR_MIN
    Also note that first vendor service should have same value
    as QMUX_SERVICE_VENDOR_MIN
  -----------------------------------------------------------------------*/
  QMUX_SERVICE_VENDOR_MIN = 224,
  /*AW6D00000 l00108696 add for windows 7 NDIS begin*/
  QMUX_SERVICE_HUAWEI = 0xE0,          /* Huawei service*/
  QMUX_SERVICE_VENDOR_MAX 
  /*AW6D00000 l00108696 add for windows 7 NDIS end*/
} qmux_service_e_type;

struct qmi_pdu_header{
	__u8  iflags;
	__le16 length;   
	__u8  ctl_info;
	__u8  srv_type;
	__u8  client_id;
}__attribute__ ((packed));

struct qmi_ctl_sdu_header{
	__u8  ctl_flag;
	__u8  trans_id;

	__le16 cmd_val;
 	__le16 msg_len;   
}__attribute__ ((packed));

/*qmi service sdu header*/
struct qmi_srv_sdu_header{
	__u8  flag;
	__le16  trans_id;
}__attribute__ ((packed));

struct qmi_ctl_pdu_header{
	__u8  iflags;
	__le16 length;   
	__u8  ctl_info;
	__u8  srv_type;
	__u8  client_id;

	__u8  ctl_flag;
	__u8  trans_id;

	__le16 cmd_val;
 	__le16 msg_len;       
}__attribute__ ((packed));

struct qmi_srv_pdu_header{
	__u8  iflags;
	__le16 length;   
	__u8  ctl_info;
	__u8  srv_type;
	__u8  client_id;

	__u8  ctl_flag;
	__le16  trans_id;
}__attribute__ ((packed));


typedef struct
{
   u8 *buf;
   u16 bytes_left;
   u8 *cur;  
}qmi_item_pool;

/*---------------------------------------------------------------------------
  Service configuration structures 
---------------------------------------------------------------------------*/
typedef struct
{
  __le16  major; 
  __le16  minor; 
} qmux_version_type;

typedef enum
{
  QMI_CTLI_CMD_VAL_SET_INSTANCE_ID    = 0x0020,
  QMI_CTLI_CMD_VAL_GET_VERSION        = 0x0021,
  QMI_CTLI_CMD_VAL_GET_CLIENT_ID      = 0x0022,
  QMI_CTLI_CMD_VAL_RELEASE_CLIENT_ID  = 0x0023,
  QMI_CTLI_CMD_VAL_REVOKE_CLIENT_ID   = 0x0024,
  QMI_CTLI_CMD_VAL_INVALID_CLIENT_ID  = 0x0025,
  QMI_CTLI_CMD_VAL_SET_DATA_FORMAT    = 0x0026,
  QMI_CTLI_CMD_VAL_WIDTH              = 0xFFFF
} qmi_ctli_cmd_val_e_type;
  
typedef enum
{
  QMI_CTL_FLAG_MSGTYPE_CMD  = 0x00,
  QMI_CTL_FLAG_MSGTYPE_RESP = 0x01,
  QMI_CTL_FLAG_MSGTYPE_IND  = 0x02
} qmi_ctl_msgtype_e_type;

/*---------------------------------------------------------------------------
  Max number of VS services allowed is 31
---------------------------------------------------------------------------*/
#define QMI_CTL_MAX_VS_SERVICES  (31)



//expand for future use
/*---------------------------------------------------------------------------
  A service can opt to not register for the below config members by defining
  them as NULL or zero appropriately
---------------------------------------------------------------------------*/
typedef struct _qmux_svc_callbacks
{
  __u8    (* alloc_clid)         ( void * sp );
  __u8   (* is_valid_clid)      ( void * sp, u8 clid );
  __u8   (* dealloc_clid)       ( void * sp, u8 clid );
  void    (* qmux_closed)        ( void * sp );
  void    (* recv)               ( void * sp, u8 clid, u8 * sdu_in );
  void *  (* get_next_client_sp) ( void * sp, void * cl_sp);
  void    (* reset_client)       ( void *);

} qmux_svc_cbs_type_t;

typedef void* (* qmi_svc_hdlr_ftype_t)
                                      ( 
                                        void * sp,
                                        void * cmd_buf_p,
                                        void * cl_sp,
                                        void ** sdu 
                                      );

typedef struct
{
  __le16              cmd_type;
  __u8 *              msg_desc;
  qmi_svc_hdlr_ftype_t  request_hdlr;
} qmi_svc_cmd_hdlr_type_t;


typedef struct
{
  qmux_version_type      base_version;
  qmux_version_type      addendum_version;
  qmux_svc_cbs_type_t      cbs;
//  qmi_svc_cmd_hdlr_type_t * cmd_hdlr_array;
  u16                 cmd_num_entries;
  void *                 sp; /* service provided state pointer (user data) */
} qmux_svc_config_type_t;


/*===========================================================================

                               DATA TYPES

===========================================================================*/
#define QMI_TYPE_REQUIRED_PARAMETERS  (0x01)
#define QMI_TYPE_RESULT_CODE          (0x02)

#define QMI_ADDENDUM_LABEL "NILL"
#define MAX_QMI_ADDENDUM_LABEL_LEN 255
#define QMI_PRM_TYPE_ADDENDUM_VER_LIST (0x10)
#define QMUXI_CFLAG_SENDER_CONTROL_POINT  (0x00)
#define QMUXI_CFLAG_SENDER_SERVICE        (0x80)


/*---------------------------------------------------------------------------
  Multiple QMI links may exist between the MSM   and a tethered device(s).  
  Each link is identified by the Um interface it is intended to control 
  (i.e. bound to).
---------------------------------------------------------------------------*/
typedef enum
{
  QMI_INSTANCE_MIN     = 0,
  QMI_INSTANCE_RMNET1  = 0,                     /* Wireless WAN (cellular) */
  QMI_INSTANCE_RMNET2  = 1,
  QMI_INSTANCE_RMNET3  = 2,
#ifdef FEATURE_DATA_QMI_MCAST
  QMI_INSTANCE_RMNET4  = 3,
  QMI_INSTANCE_RMNET5  = 4,
#endif /* FEATURE_DATA_QMI_MCAST */
  QMI_INSTANCE_MAX
} qmi_instance_e_type;
/*---------------------------------------------------------------------------
  Net-RMSM instance enumeration.

  For future use (when need to support multiple Rm network interfaces).
---------------------------------------------------------------------------*/
typedef enum
{
  RMNET_INSTANCE_1   =  0,
  RMNET_INSTANCE_2   =  1,
  RMNET_INSTANCE_3   =  2,
#ifdef FEATURE_DATA_QMI_MCAST
  RMNET_INSTANCE_4   =  3,
  RMNET_INSTANCE_5   =  4,
#endif /* FEATURE_DATA_QMI_MCAST */
  RMNET_INSTANCE_MAX
} rmnet_instance_e_type;


#define QMI_CTL_BASE_VER_MAJOR 1
#define QMI_CTL_BASE_VER_MINOR 1
#define QMI_CTL_ADDENDUM_VER_MAJOR 0
#define QMI_CTL_ADDENDUM_VER_MINOR 0
#define DMSI_BASE_VER_MAJOR 1
#define DMSI_BASE_VER_MINOR 1
#define DMSI_ADDENDUM_VER_MAJOR 0
#define DMSI_ADDENDUM_VER_MINOR 0

/*---------------------------------------------------------------------------
  Enum for QMI cmds
---------------------------------------------------------------------------*/
typedef enum
{
  QMI_CMD_MIN                       = 0,
  QMI_CMD_SEND_PKT_STATS            = 0,
  QMI_CMD_GSDI_READ_COMPLETE        = 1,
  QMI_CMD_GSDI_WRITE_COMPLETE       = 2,
  QMI_CMD_NETWORK_SCAN_COMPLETE     = 3,
  QMI_CMD_NETWORK_SCAN_ERROR        = 4,
  QMI_CMD_NEW_NETWORK_SCAN_INFO     = 5,
  QMI_CMD_SYS_SEL_PREF_ERROR        = 6,
  QMI_CMD_NEW_CM_SS_INFO            = 7,
  QMI_CMD_NEW_CM_PH_INFO            = 8,
  QMI_CMD_MMGSDI_OPERATION_COMPLETE = 9, 
  QMI_CMD_PROCESS_PIN_EVT           = 10,
  QMI_CMD_PROCESS_FLOW_EVT          = 11,
  QMI_CMD_CM_CLIENT_ACTIVATE        = 12,
  QMI_CMD_PROCESS_PHYS_LINK_EVT     = 13,
  QMI_CMD_NEW_CM_OPRT_MODE_INFO     = 15,
  QMI_CMD_SET_OPERATING_MODE_RESP   = 16,
  QMI_CMD_PROCESS_WDS_UM_IFACE_EVT  = 17,
  QMI_CMD_MAX
} qmi_cmd_id_e_type;

/*---------------------------------------------------------------------------
  Enum for result code
---------------------------------------------------------------------------*/
typedef enum
{
  QMI_RESULT_SUCCESS  = 0,
  QMI_RESULT_FAILURE  = 1,
  QMI_RESULT_MAX,
  QMI_RESULT_WIDTH    = 0xFFFF
} qmi_result_e_type;

/*---------------------------------------------------------------------------
  Enum for Error code
---------------------------------------------------------------------------*/
typedef enum
{
  QMI_ERR_NONE                  = 0,
  QMI_ERR_MALFORMED_MSG         = 1,
  QMI_ERR_NO_MEMORY             = 2,
  QMI_ERR_INTERNAL              = 3,
  QMI_ERR_ABORTED               = 4,
  QMI_ERR_CLIENT_IDS_EXHAUSTED  = 5,
  QMI_ERR_UNABORTABLE_TRANSACTION  = 6,
  QMI_ERR_INVALID_CLIENT_ID     = 7,
  QMI_ERR_NO_THRESHOLDS         = 8,
  QMI_ERR_INVALID_HANDLE        = 9,
  QMI_ERR_INVALID_PROFILE       = 10,
  QMI_ERR_INVALID_PINID         = 11,
  QMI_ERR_INCORRECT_PIN         = 12,
  QMI_ERR_NO_NETWORK_FOUND       = 13,
  QMI_ERR_CALL_FAILED           = 14,
  QMI_ERR_OUT_OF_CALL           = 15,
  QMI_ERR_NOT_PROVISIONED       = 16,  
  QMI_ERR_MISSING_ARG           = 17,
  QMI_ERR_ARG_TOO_LONG          = 19,
  QMI_ERR_INVALID_TX_ID         = 22,
  QMI_ERR_DEVICE_IN_USE         = 23,
  QMI_ERR_OP_NETWORK_UNSUPPORTED = 24,
  QMI_ERR_OP_DEVICE_UNSUPPORTED  = 25,
  QMI_ERR_NO_EFFECT              = 26,
  QMI_ERR_NO_FREE_PROFILE        = 27,
  QMI_ERR_INVALID_PDP_TYPE       = 28,
  QMI_ERR_INVALID_TECH_PREF      = 29,
  QMI_ERR_INVALID_PROFILE_TYPE   = 30,
  QMI_ERR_INVALID_SERVICE_TYPE   = 31,
  QMI_ERR_INVALID_REGISTER_ACTION  = 32,
  QMI_ERR_INVALID_PS_ATTACH_ACTION = 33,
  QMI_ERR_AUTHENTICATION_FAILED    = 34,
  QMI_ERR_PIN_BLOCKED              = 35,
  QMI_ERR_PIN_PERM_BLOCKED         = 36,
  QMI_ERR_SIM_NOT_INITIALIZED      = 37,
  QMI_ERR_MAX_QOS_REQUESTS_IN_USE  = 38,
  QMI_ERR_INCORRECT_FLOW_FILTER    = 39,
  QMI_ERR_NETWORK_QOS_UNAWARE      = 40,
  QMI_ERR_INVALID_QOS_ID           = 41,
  QMI_ERR_NUM_QOS_IDS              = 42,
  QMI_ERR_QOS_UNAVAILABLE          = 43,
  QMI_ERR_FLOW_SUSPENDED           = 44,
  QMI_ERR_INVALID_DATA_FORMAT      = 45,
// Reserved: QMI_ERR_GENERAL                = 46,
// Reserved: QMI_ERR_UNKNOWN                = 47,
  QMI_ERR_INVALID_ARG            = 48,
// Reserved: QMI_ERR_INVALID_INDEX          = 49,
// Reserved: QMI_ERR_NO_ENTRY               = 50,
// Reserved: QMI_ERR_DEVICE_STORAGE_FULL    = 51,
// Reserved: QMI_ERR_DEVICE_NOT_READY       = 52,
// Reserved: QMI_ERR_NETWORK_NOT_READY      = 53,
// Reserved: QMI_ERR_WMS_CAUSE_CODE               = 54,
// Reserved: QMI_ERR_WMS_MESSAGE_NOT_SENT         = 55,
// Reserved: QMI_ERR_WMS_MESSAGE_DELIVERY_FAILURE = 56,
// Reserved: QMI_ERR_WMS_INVALID_MESSAGE_ID       = 57,
// Reserved: QMI_ERR_WMS_ENCODING                 = 58,
  QMI_ERR_AUTHENTICATION_LOCK    = 59,
  QMI_ERR_INVALID_TRANSITION     = 60,
  QMI_ERR_NOT_A_MCAST_IFACE        = 61,
  QMI_ERR_MAX_MCAST_REQUESTS_IN_USE= 62,
  QMI_ERR_INVALID_MCAST_HANDLE     = 63, 
  QMI_ERR_INVALID_IP_FAMILY_PREF   = 64,
// Reserved: QMI_ERR_SESSION_INACTIVE       = 65,
// Reserved: QMI_ERR_SESSION_INVALID        = 66,
// Reserved: QMI_ERR_SESSION_OWNERSHIP      = 67,
// Reserved: QMI_ERR_INSUFFICIENT_RESOURCES = 68,
// Reserved: QMI_ERR_DISABLED               = 69,
  QMI_ERR_MAX,
  QMI_ERR_WIDTH            = 0xFFFF
} qmi_error_e_type;

/*---------------------------------------------------------------------------
  QMI Service configuration structure
---------------------------------------------------------------------------*/
typedef struct
{
  bool         registered;
  qmux_service_e_type   service_id;
  qmux_svc_config_type_t cfg;
} qmux_svc_info_type;

/*---------------------------------------------------------------------------
  QMUX instance state structure
---------------------------------------------------------------------------*/
typedef struct
{
  qmux_svc_info_type    service[QMUX_SERVICE_QC_MAX];
  qmux_svc_info_type *  vs_svc_array;         /* Points to vendor service table */
  u8                 num_vs_services_max;  /* Number of max services that 
                                                 are to be registered */
  u8                 num_vs_svc_reg;       /* Number of max services that 
                                                 are registered */
  bool               initialized;
} qmux_state_type;


/*---------------------------------------------------------------------------
  QMI Wireless Data Service instance state definition &
  Wireless Data Service client state definition
---------------------------------------------------------------------------*/
#define MAX_PENDING_TRANSACTIONS (3)
#define MAX_PENDING_COMMANDS     (5)
#define MAX_MSGS_IN_BUNDLE (5)  /* must be <= MAX_PENDING_COMMANDS */

/*---------------------------------------------------------------------------
  QMI Transaction and command buffer types
---------------------------------------------------------------------------*/
//struct qmi_transaction_type;
//typedef struct qmi_cmd_buf_s qmi_cmd_buf_type;

struct qmi_common_client_state_s;
typedef struct qmi_common_client_state_s qmi_common_client_state_type;
struct qmi_cmd_buf_s;
typedef struct qmi_cmd_buf_s qmi_cmd_buf_type;
typedef struct qmi_transaction_s
{
//  q_link_type                   link;  // must be first
 // u8 link;
  qmi_common_client_state_type * cl_sp;
  void *                        svc_sp;
  u16                        x_id; // transaction ID - 0 means not in use
  u8                         ctl;  // control flags
  u8                          n_cmds; // no of commands in the rx'ed bundle 
  qmi_cmd_buf_type *            cmd_list[MAX_MSGS_IN_BUNDLE];
 // dsm_item_type *               req_list[MAX_MSGS_IN_BUNDLE];
//  dsm_item_type *               resp_list[MAX_MSGS_IN_BUNDLE];
} qmi_transaction_type;


 struct qmi_cmd_buf_s
{
//  q_link_type                   link;  // must be first
  qmi_transaction_type *        x_p;
  u8                         cmd_no;  /* index into x_p->cmd_list */
  u16                        cmd_type;
  bool                       in_progress;
};
/*---------------------------------------------------------------------------
  QMI common instance state definition & client state definition
---------------------------------------------------------------------------*/
 struct qmi_common_client_state_s
{
  u8     clid;                    /* client id */
  qmi_transaction_type  transactions[MAX_PENDING_TRANSACTIONS];
  qmi_cmd_buf_type      cmd_buf[MAX_PENDING_COMMANDS];
//  q_type  x_free_q;
//  q_type  cmd_free_q;
};


/*---------------------------------------------------------------------------
  Watermark queue to hold deferred responses
---------------------------------------------------------------------------*/
typedef struct
{
  void *                      qmux_svc_handle;
  u8                       next_clid;
  qmi_cmd_buf_type            bcast_ind_buf; 
  qmi_transaction_type        bcast_transaction; 
  bool                   bcast_transaction_buf_free;
} qmi_common_svc_state_type;

/*---------------------------------------------------------------------------
  QMI_CTL instance state structure
---------------------------------------------------------------------------*/
typedef struct
{
  void *   qmux_svc_handle;
  u16   qmi_link_id;             /* QMI CTL instance = QMUX instance id */
  struct ctl_constants_s
  {
    rmnet_instance_e_type  rmnet_instance;
  } constants;
} qmi_ctli_state_type;



//qmi_dms.h
/*------------------------------------------------------------------------*/
typedef enum
{
  DMSI_REPORT_STATUS_EV_POWER_STATE  = 0x01,
  DMSI_REPORT_STATUS_EV_PIN_STATUS   = 0x02
} qmi_dmsi_report_status_ev_e_type;

/*---------------------------------------------------------------------------
  DMS Command enum type - not equal to the actual command values!
  mapping is in qmi_dms_cmd_callbacks table

  DO NOT REORDER THIS ENUM!
---------------------------------------------------------------------------*/
typedef enum
{
  DMSI_CMD_MIN                          = 0,
  DMSI_CMD_RESET                        = 0,
  DMSI_CMD_SET_EVENT_REPORT             = 1,
  DMSI_CMD_GET_DEVICE_CAP               = 2,
  DMSI_CMD_GET_DEVICE_MFR               = 3,
  DMSI_CMD_GET_DEVICE_MODEL_ID          = 4,
  DMSI_CMD_GET_DEVICE_REV_ID            = 5,
  DMSI_CMD_GET_MSISDN                   = 6,
  DMSI_CMD_GET_DEVICE_SERIAL_NUMBERS    = 7,
  DMSI_CMD_GET_POWER_STATE              = 8,
  DMSI_CMD_SET_UIM_PIN_PROTECTION       = 9,
  DMSI_CMD_VERIFY_UIM_PIN              = 10,
  DMSI_CMD_UNBLOCK_UIM_PIN             = 11,
  DMSI_CMD_CHANGE_UIM_PIN              = 12,
  DMSI_CMD_GET_UIM_PIN_STATUS          = 13,
  DMSI_CMD_GET_DEVICE_HARDWARE_REV     = 14,
  DMSI_CMD_GET_OPERATING_MODE          = 15,
  DMSI_CMD_SET_OPERATING_MODE          = 16,
  DMSI_CMD_GET_TIME                    = 17,
  DMSI_CMD_GET_PRL_VER                 = 18,
  DMSI_CMD_READ_USER_DATA              = 19,
  DMSI_CMD_WRITE_USER_DATA             = 20,
  DMSI_CMD_MAX, 
  DMSI_CMD_WIDTH                    = 0xFFFF                        
} qmi_dmsi_cmd_e_type;

typedef enum
{
  DMSI_CMD_VAL_RESET                      = 0x0000,
  DMSI_CMD_VAL_SET_EVENT_REPORT           = 0x0001,
  DMSI_CMD_VAL_GET_DEVICE_CAP             = 0x0020,
  DMSI_CMD_VAL_GET_DEVICE_MFR             = 0x0021,
  DMSI_CMD_VAL_GET_DEVICE_MODEL_ID        = 0x0022,
  DMSI_CMD_VAL_GET_DEVICE_REV_ID          = 0x0023,
  DMSI_CMD_VAL_GET_MSISDN                 = 0x0024,
  DMSI_CMD_VAL_GET_DEVICE_SERIAL_NUMBERS  = 0x0025,
  DMSI_CMD_VAL_GET_POWER_STATE            = 0x0026,
  DMSI_CMD_VAL_SET_UIM_PIN_PROTECTION     = 0x0027,
  DMSI_CMD_VAL_VERIFY_UIM_PIN             = 0x0028,
  DMSI_CMD_VAL_UNBLOCK_UIM_PIN            = 0x0029,
  DMSI_CMD_VAL_CHANGE_UIM_PIN             = 0x002A,
  DMSI_CMD_VAL_GET_UIM_PIN_STATUS         = 0x002B,
  DMSI_CMD_VAL_GET_DEVICE_HARDWARE_REV    = 0x002C,
  DMSI_CMD_VAL_GET_OPERATING_MODE         = 0x002D,
  DMSI_CMD_VAL_SET_OPERATING_MODE         = 0x002E,
  DMSI_CMD_VAL_GET_TIME                   = 0x002F,
  DMSI_CMD_VAL_GET_PRL_VER                = 0x0030,
  /* Reserved 0x0031 - 0x0036 message IDs */
  DMSI_CMD_VAL_READ_USER_DATA             = 0x0037,
  DMSI_CMD_VAL_WRITE_USER_DATA            = 0x0038,
  /* Reserved 0x0039 message ID */
  DMSI_CMD_VAL_WIDTH                      = 0xFFFF
} qmi_dmsi_cmd_val_e_type;

/*---------------------------------------------------------------------------
  Service management
---------------------------------------------------------------------------*/
#define DMSI_MAX_CLIDS    (7)
/*---------------------------------------------------------------------------
  Special client ID value to indicate client state is "not in use".  This 
  value may not be assigned as a valid client ID by a generic QMI service.
---------------------------------------------------------------------------*/
#define QMI_SVC_CLID_UNUSED    (0)  // make sure alloc skips broadcast
#define QMI_SVC_CLID_BROADCAST (0xFF)       /* special broadcast client ID */

/*---------------------------------------------------------------------------
  QMI Device Management Service (DMS) instance state definition &
  DMS client state definition
---------------------------------------------------------------------------*/
typedef struct qmi_dmsi_client_state_s
{
  qmi_common_client_state_type common; // must be first since we alias
  struct 
  {  
    bool  report_power_state; 
    bool  report_pin_status;
    u8    bat_lvl_lower_limit;
    u8    bat_lvl_upper_limit;
    u8    last_bat_lvl_reported;
    u8    last_power_state_reported;
  } report_status;
} qmi_dmsi_client_state_type;

/*---------------------------------------------------------------------------
  Watermark queue to hold deferred responses
---------------------------------------------------------------------------*/
typedef struct
{
  qmi_common_svc_state_type   common; // must be first since we alias
  qmi_dmsi_client_state_type  client[DMSI_MAX_CLIDS];

} qmi_dmsi_state_type;

//qmi_wds.h
#define WDSI_BASE_VER_MAJOR  (1)
#define WDSI_BASE_VER_MINOR  (3)

#define WDSI_ADDENDUM_VER_MAJOR  (0)
#define WDSI_ADDENDUM_VER_MINOR  (0)
#define WDSI_MAX_CLIDS  (7)
/*---------------------------------------------------------------------------
  QMI Wireless Data Service instance state definition &
  Wireless Data Service client state definition
---------------------------------------------------------------------------*/

typedef struct qmi_wdsi_client_state_s
{
  qmi_common_client_state_type   common; // must be first since we alias
  bool  net_bound;                  /* TRUE if client has called StartNI*/
  struct 
  {                      
//    timer_type  pkt_stats_timer;
    u32      ind_mask;              /* current call status indications  */
    u8       pkt_stats_period;      /* periodicity of call status ind's */
    bool    report_ch_rate;
    bool    report_data_bearer;    // TODO - implement this
    bool     report_dormancy_status;
    struct pkt_stats_s
    {
      u32  rx_ok;
      u32  tx_ok;
    } stats_last_rpt;
  } report_status; 

} qmi_wdsi_client_state_type_t;
/*---------------------------------------------------------------------------
  WDS Command enum type - not equal to the actual command values!
  mapping is in qmi_wds_cmd_callbacks table

  DO NOT REORDER THIS ENUM!  (make sure the command value here = index into
  qmi_wdsi_cmd_callbacks table for corresponding command)
---------------------------------------------------------------------------*/
typedef enum
{
  WDSI_CMD_MIN                          = 0,
  WDSI_CMD_RESET                        = 0,
  WDSI_CMD_SET_EVENT_REPORT             = 1,
  WDSI_CMD_ABORT                        = 2,
  WDSI_CMD_START_NETWORK_INTERFACE      = 3,
  WDSI_CMD_STOP_NETWORK_INTERFACE       = 4,
  WDSI_CMD_PKT_SRVC_STATUS              = 5,
  WDSI_CMD_GET_CURRENT_CHANNEL_RATE     = 6,
  WDSI_CMD_GET_PKT_STATISTICS           = 7,
  WDSI_CMD_CREATE_PROFILE               = 8,
  WDSI_CMD_MODIFY_PROFILE_SETTINGS      = 9,
  WDSI_CMD_DELETE_PROFILE               = 10,
  WDSI_CMD_GET_PROFILE_LIST             = 11,
  WDSI_CMD_GET_PROFILE_SETTINGS         = 12,
  WDSI_CMD_GET_DEFAULT_PROFILE_SETTINGS = 13,
  WDSI_CMD_GET_RUNTIME_SETTINGS         = 14,
  WDSI_CMD_SET_MIP_MODE	                = 15,
  WDSI_CMD_GET_MIP_MODE                 = 16,
  WDSI_CMD_GET_DORMANCY_STATUS          = 17,
  WDSI_CMD_GO_DORMANT                   = 18,
#ifdef FEATURE_DATA_QMI_MCAST
  WDSI_CMD_INITIATE_MCAST_JOIN          = 19,
  WDSI_CMD_INITIATE_MCAST_LEAVE         = 20,
  WDSI_CMD_GET_MCAST_STATUS             = 21,
  WDSI_CMD_MBMS_MCAST_CONTEXT_ACT       = 22,
  WDSI_CMD_MBMS_MCAST_CONTEXT_DEACT     = 23,
  WDSI_CMD_GET_MBMS_MCAST_CONTEXT_STAUTS= 24,
#endif /* FEATURE_DATA_QMI_MCAST */
#ifdef FEATURE_DATA_QMI_AST_ONLY
  WDSI_CMD_GET_GATEWAY_ADDR             = 25,
#endif /* FEATURE_DATA_QMI_AST_ONLY */
  WDSI_CMD_MAX,
  WDSI_CMD_WIDTH                    = 0xFFFF

} qmi_wdsi_cmd_e_type;

/*---------------------------------------------------------------------------
  WDS connection status enum type
---------------------------------------------------------------------------*/
typedef enum
{
  QMI_WDS_CONN_DISCONNECTED   = 1,
  QMI_WDS_CONN_CONNECTED      = 2,
  QMI_WDS_CONN_SUSPENDED      = 3,
  QMI_WDS_CONN_AUTHENTICATING = 4
} qmi_wds_conn_status_e_type;

/*---------------------------------------------------------------------------
  WDS call end reason enum type
---------------------------------------------------------------------------*/
typedef enum
{
  QMI_WDS_CALL_END_REASON_MIN                     = 0, 
  QMI_WDS_CALL_END_REASON_UNSPECIFIED             = 1,
  QMI_WDS_CALL_END_REASON_CLIENT_END              = 2,
  QMI_WDS_CALL_END_REASON_NO_SRV                  = 3,
  QMI_WDS_CALL_END_REASON_FADE                    = 4,
  QMI_WDS_CALL_END_REASON_REL_NORMAL              = 5,
  QMI_WDS_CALL_END_REASON_ACC_IN_PROG             = 6,
  QMI_WDS_CALL_END_REASON_ACC_FAIL                = 7,
  QMI_WDS_CALL_END_REASON_REDIR_OR_HANDOFF        = 8,
  
/* CDMA specific call-end reasons from CM */
  QMI_WDS_CALL_END_REASON_CDMA_LOCK                 = 500,
  QMI_WDS_CALL_END_REASON_INTERCEPT                 = 501,
  QMI_WDS_CALL_END_REASON_REORDER                   = 502,
  QMI_WDS_CALL_END_REASON_REL_SO_REJ                = 503,
  QMI_WDS_CALL_END_REASON_INCOM_CALL                = 504,
  QMI_WDS_CALL_END_REASON_ALERT_STOP                = 505,
  QMI_WDS_CALL_END_REASON_ACTIVATION                = 506,
  QMI_WDS_CALL_END_REASON_MAX_ACCESS_PROBE          = 507,
  QMI_WDS_CALL_END_REASON_CCS_NOT_SUPPORTED_BY_BS   = 508,
  QMI_WDS_CALL_END_REASON_NO_RESPONSE_FROM_BS       = 509,
  QMI_WDS_CALL_END_REASON_REJECTED_BY_BS            = 510,
  QMI_WDS_CALL_END_REASON_INCOMPATIBLE              = 511,
  QMI_WDS_CALL_END_REASON_ALREADY_IN_TC             = 512,
  QMI_WDS_CALL_END_REASON_USER_CALL_ORIG_DURING_GPS = 513,
  QMI_WDS_CALL_END_REASON_USER_CALL_ORIG_DURING_SMS = 514,
  QMI_WDS_CALL_END_REASON_NO_CDMA_SRV               = 515,

/* GSM/WCDMA specific call-end reasons from CM */
  QMI_WDS_CALL_END_REASON_CONF_FAILED          = 1000,
  QMI_WDS_CALL_END_REASON_INCOM_REJ            = 1001,
  QMI_WDS_CALL_END_REASON_NO_GW_SRV            = 1002,
  QMI_WDS_CALL_END_REASON_NETWORK_END          = 1003,

/* HDR specific call-end reasons from CM */
  QMI_WDS_CALL_END_REASON_CD_GEN_OR_BUSY          = 1500,
  QMI_WDS_CALL_END_REASON_CD_BILL_OR_AUTH         = 1501,
  QMI_WDS_CALL_END_REASON_CHG_HDR                 = 1502,
  QMI_WDS_CALL_END_REASON_EXIT_HDR                = 1503,
  QMI_WDS_CALL_END_REASON_HDR_NO_SESSION          = 1504,
  QMI_WDS_CALL_END_REASON_HDR_ORIG_DURING_GPS_FIX = 1505,
  QMI_WDS_CALL_END_REASON_HDR_CS_TIMEOUT          = 1506,
  QMI_WDS_CALL_END_REASON_HDR_RELEASED_BY_CM      = 1507,

  QMI_WDS_CALL_END_REASON_MAX      /* DO NOT USE. Used for bounds check */
} qmi_wds_call_end_reason_e_type;

/*---------------------------------------------------------------------------
  Structure to maintain WDS state
---------------------------------------------------------------------------*/
typedef struct qmi_wdsi_state_s
{
  qmi_common_svc_state_type   common; // must be first since we alias
  qmi_wdsi_client_state_type_t  client[WDSI_MAX_CLIDS];
  qmi_wds_conn_status_e_type  pkt_svc_state;
  //q_type                      sni_pend_q;
  qmi_wds_call_end_reason_e_type call_end_reason;

  /*-------------------------------------------------------------------------
    Network Interface callback buffers
  -------------------------------------------------------------------------*/
  void *net_iface_configuring_buf_ptr;/* Event buf for NET Iface CONFIGURING */
  void *net_iface_down_buf_ptr;       /* Event buf for NET Iface DOWN      */
  void *net_iface_authenticating_buf_ptr;       /* Event buf for 
                                                   NET Iface AUTHENTICATING*/

  /*-------------------------------------------------------------------------
    UM Interface callback buffers
  -------------------------------------------------------------------------*/
  void *um_iface_mcast_reg_success_buf_ptr;
  void *um_iface_mcast_reg_failure_buf_ptr;
  void *um_iface_mcast_dereg_buf_ptr;
  void *um_iface_mbms_cont_act_success_buf_ptr;
  void *um_iface_mbms_cont_act_failure_buf_ptr;
  void *um_iface_mbms_cont_deact_success_buf_ptr;
  void *um_iface_mbms_cont_deact_failure_buf_ptr;
  /*-------------------------------------------------------------------------
    UM Phys_Link callback buffers
  -------------------------------------------------------------------------*/
  void *um_phys_link_up_buf_ptr;       /* buf: UM Phys link UP   */
  void *um_phys_link_down_buf_ptr;     /* buf: UM Phys link DOWN  */
  //ps_iface_type *um_iface_ptr;
  bool                     is_mcast_inst;
  /* boolean to indicate whether registered for mcast evor not */
  bool                     reg_mcast_iface_ev; 
                                                
  u8                       num_mcast_reqs;
  struct wds_constants_s
  {
    rmnet_instance_e_type  rmnet_instance;
  } constants;
} qmi_wdsi_state_type_t;

/*---------------------------------------------------------------------------
     QMI_WDS.h
---------------------------------------------------------------------------*/

#endif
