/*
 *
 * Copyright (C) 2008 QUALCOMM USA, INC.
 * 
 * All source code in this file is licensed under the following license
 * except where indicated.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, you can find it at http://www.fsf.org
 *
 */

#ifndef ARDCLK_H
#define ARDCLK_H

#include "msm8k_ardi.h"

enum clk_acpu_freq_id {
	CLK_ID_FREQ_19200,
	CLK_ID_FREQ_48000,
	CLK_ID_FREQ_64000,
	CLK_ID_FREQ_96000,
	CLK_ID_FREQ_128000,
	CLK_ID_FREQ_192000,
	CLK_ID_FREQ_256000,
	CLK_ID_FREQ_384000,
	CLK_ID_FREQ_422400,
	CLK_ID_FREQ_460800,
	CLK_ID_FREQ_499200,
	CLK_ID_FREQ_537600,
	CLK_ID_FREQ_576000,
	CLK_ID_FREQ_614400,
	CLK_ID_FREQ_652800,
	CLK_ID_FREQ_691200,
	CLK_ID_FREQ_729600,
	CLK_ID_FREQ_768000,
	CLK_ID_FREQ_806400,
	CLK_ID_FREQ_844800,
	CLK_ID_FREQ_883200,
	CLK_ID_FREQ_921600,
	CLK_ID_FREQ_960000,
	CLK_ID_FREQ_998400,
	NUM_OF_CLK_IDS
};


void ard_clk_enable_internal_codec_clk(void);
void ard_clk_disable_internal_codec_clk(void);
void ard_clk_set_icodec_rx_clk(void);
void ard_clk_set_icodec_tx_clk(void);
void ard_clk_disable(enum codec_enum_type ct);
void ard_clk_enable(enum codec_enum_type ct);

#endif


