/*
 *
 * Copyright (C) 2008 QUALCOMM USA, INC.
 * 
 * All source code in this file is licensed under the following license
 * except where indicated.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, you can find it at http://www.fsf.org
 *
 */

#ifndef _MSM8k_CAD_Q6DEC_DRV_H_
#define _MSM8k_CAD_Q6DEC_DRV_H_
/*======================================================
FILE:      QDSP6AudioDecDriver.h

SERVICES:

   This is the header file for QDSP6 audio decoder

GENERAL DESCRIPTION:

  This file contains the entry functions for the QDSP6 audio decodor

EXTERNALIZED FUNCTIONS

  cad_audio_dec_init

  This function intialilzed all the decoding functionality

  cad_audio_dec_dinit

  This function cleans up all the decoder resources and functionality

=====================================================*/


#include <asm/arch/msm8k_cad_module.h>

s32 cad_q6_dec_init(struct cad_func_ptr_tbl_type **ppvtable);

s32 cad_q6_dec_dinit(void);


#endif /* _MSM8k_CAD_Q6DEC_DRV_H_ */
