#!/bin/sh

IMAGEPATH=.
NETIF=eth0
EEPROM="pa.bin"

if [ -e /mnt/flash/eeprom ]
then
   EEPROM=`cat /mnt/flash/eeprom`
fi

echo "~~~~~~~~~~EEPROM file =" $EEPROM

/sbin/insmod msm_sdcc
#/sbin/insmod /bin/ar6000.ko bmienable=1 enableuartprint=1 fwmode=1
/sbin/insmod /bin/ar6000.ko bmienable=1 fwmode=1

old_options=`/bin/bmiloader -i $NETIF --quiet --set --address=0x180c0 --or=8`
old_sleep=`/bin/bmiloader -i $NETIF --quiet --set --address=0x40c4 --or=1`

/bin/bmiloader -i $NETIF --set --address=0x4020 --param=0
ext_clk_detected=`/bin//bmiloader -i $NETIF --quiet --get --address=0x50047c`
if [ $ext_clk_detected = 0x0 ]
then
    /bin/bmiloader -i $NETIF --set --address=0x40e0 --param=0x100000
fi

/bin/eeprom.AR6002 --transfer --file=$EEPROM --interface=$NETIF

/bin/bmiloader -i $NETIF --write --address=0x502400 --file=device.bin
/bin/bmiloader -i $NETIF --write --address=0x52d8bc --file=data.patch.hw2_0.bin
/bin/bmiloader -i $NETIF --write --address=0x500418 --param=0x52d8bc

#$IMAGEPATH/bmiloader -i $NETIF --set --address=0x40c4 --param=$old_sleep
/bin/bmiloader -i $NETIF --set --address=0x180c0 --param=$old_options

#$IMAGEPATH/bmiloader -i $NETIF --done

sleep 2
artagent $NETIF /dev/ttyMSM0 80


